# Generated from thanx-style-0.0.30.gem by gem2rpm -*- rpm-spec -*-
%global gem_name thanx-style

Name: rubygem-%{gem_name}
Version: 0.0.30
Release: 1%{?dist}
Summary: Quick install of ruby Thanx code style rules
License: MIT
URL: https://github.com/thanx/style-guide
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Provides Ruby, Rails, and RSpec rubocop rules. Also provides helpers for
properly formatting CI output.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/thanx-rspec
%{_bindir}/thanx-report-rspec
%{_bindir}/thanx-rubocop
%{_bindir}/thanx-report-rubocop
%{gem_instdir}/.danger
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/rubocop-rails.yml
%{gem_instdir}/rubocop-rspec.yml
%{gem_instdir}/rubocop-ruby.yml
%{gem_instdir}/rubocop.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.30-1
- Initial package
